Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.buildtime.spi
Class BasicClassFilter

    java.lang.Object
      org.hibernate.bytecode.buildtime.spi.BasicClassFilter

All Implemented Interfaces:
  ClassFilter

    public class BasicClassFilter

extends Object
implements ClassFilter

BasicClassFilter provides class filtering based on a series of packages to be included and/or a series of explicit class names to be included. If neither is specified, then no restrictions are applied.

Constructor Summary
`BasicClassFilter()`
`BasicClassFilter(String[] includedPackages, String[] includedClassNames)`

Method Summary
`boolean` | `shouldInstrumentClass(String className)` Should this class be included in instrumentation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicClassFilter

    public BasicClassFilter()

### BasicClassFilter

    public BasicClassFilter(String[] includedPackages,
                            String[] includedClassNames)

Method Detail

### shouldInstrumentClass

    public boolean shouldInstrumentClass(String className)

  Description copied from interface: `ClassFilter`
  Should this class be included in instrumentation

  Specified by:
    `shouldInstrumentClass` in interface `ClassFilter`
  Parameters:
    `className` - The name of the class to check
  Returns:
    true to include class in instrumentation; false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.